# dxb Channel

dxb Channel is a test [channel for Roku devices](https://sdkdocs.roku.com/display/sdkdoc/SceneGraph+Samples).
It uses SceneGraph and the BrightScript language.

## Getting The Channel

This is the private channel code: **[dxb](https://my.roku.com/add/dxb)**

Clicking the link will take you directly to a confirmation page for getting the channel.

## Preview

![dxb channel screenshot](http://dlma.com/images/dxb_channel/dxb_screenshot.jpg)

# Getting the project

You can get a copy of this project by clicking on the
[ZIP](http://git.dlma.com/dxb_channel.git/zipball/master)
or [TAR](http://git.dlma.com/dxb_channel.git/tarball/master) buttons
near the top right of the GitList web page.

If you're me, and you want to contribute to the repo, then you can clone it like so:

    git clone ssh://USERNAME@dlma.com/~/git/dxb_channel.git

## Building it

[Ensure you can sideload a dev channel](https://sdkdocs.roku.com/display/sdkdoc/Loading+and+Running+Your+Application).
Then see the "build\_systems" command in dxb\_channel.sublime-project to see how the channel is zipped and deployed.

## Experimenting

The code in [`components/testtask.brs`](http://git.dlma.com/dxb_channel.git/blob/master/components/testtask.brs)
is run every time the OK button is pressed (while the "Test Output" pane has focus).
That's a good place to experiment with new code.

# Is it any good?

[Yes](https://news.ycombinator.com/item?id=3067434).

# Licence

This software uses the [MIT license](http://git.dlma.com/dxb_channel.git/blob/master/LICENSE.txt).
